# Method: domains.insert

Inserts a domain of the customer.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customer}/domains`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Immutable ID of the Google Workspace account. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/domains#Domain`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/domains#Domain`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.domain`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).